#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.10
visibility:           public
id:                   foldl-1.4.10-Hg4Ntj0EnViDt2G72jNI6t
key:                  foldl-1.4.10-Hg4Ntj0EnViDt2G72jNI6t
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  f1a74c4ecab1a0e9c2f58fbb7abf66a6
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-8.10.2/site-local/foldl-1.4.10
library-dirs:         /usr/lib/ghc-8.10.2/site-local/foldl-1.4.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/foldl-1.4.10
hs-libraries:         HSfoldl-1.4.10-Hg4Ntj0EnViDt2G72jNI6t
depends:
    base-4.14.1.0 bytestring-0.10.10.0
    comonad-5.0.6-3JOWyYOCiQk4cQ1E9A3dqU containers-0.6.2.1
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    hashable-1.3.0.0-3AJG4yisUBKqOWmt32yGB
    mwc-random-0.15.0.1-8Z0S11D7oa96NXGHAzkAcY
    primitive-0.7.1.0-DDMocXnPA4M3FwLr4d9ebr
    profunctors-5.6-C8mBWKtOy8UIBc4Wk014Uf
    semigroupoids-5.3.4-4Wb6hm6bbKc6wCcXTF3hKO text-1.2.3.2
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-GMJPYguUw8E1wRhPgRdLUG
    vector-0.12.1.2-7hUWEqEuIM18hGuhwRVpMr

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

